<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <template id="pos_sales_report_template">
            <receipt align='center' width='40' value-thousands-separator=''>
                <t t-foreach="docs" t-as="receipt">
                    <div size='double-height' style="font-size:20px;" align="center">
                        Z Report
                    </div>
                    <div align="center">
                        ================
                    </div>
                    <line>
                        <left>
                            <pre>Report Date</pre>
                        </left>
                        <right t-esc="receipt.get_current_date()"/>
                    </line>
                    <line>
                        <left>
                            <pre>Report Date</pre>
                        </left>
                        <right t-esc="receipt.get_current_time()"/>
                    </line>
                    <br/>
                    <line>
                        <left>
                            <pre>Register #</pre>
                        </left>
                        <right>1</right>
                    </line>
                    <line>
                        <left>
                            <pre>Batch #</pre>
                        </left>
                        <right t-esc="receipt.name"/>
                    </line>
                    <line>
                        <left>
                            <pre>Batch Status</pre>
                        </left>
                        <right t-esc="receipt.state"/>
                    </line>
                    <line>
                        <left>
                            <pre>Start Date</pre>
                        </left>
                        <right t-esc="receipt.get_session_date(receipt.start_at)"/>
                    </line>
                    <line>
                        <left>
                            <pre>Start Time</pre>
                        </left>
                        <right t-esc="receipt.get_session_time(receipt.start_at)"/>
                    </line>
                    <line>
                        <left>
                            <pre>Date</pre>
                        </left>
                        <right t-esc="receipt.get_session_date(receipt.stop_at)"/>
                    </line>
                    <line>
                        <left>
                            <pre>Time</pre>
                        </left>
                        <right t-esc="receipt.get_session_time(receipt.stop_at)"/>
                    </line>
                    <line>
                        <left>
                            <pre>Cashier</pre>
                        </left>
                        <right t-esc="receipt.user_id.name"/>
                    </line>
                    <br/>
                    <line>
                        <left>
                            <pre>Opening Total</pre>
                        </left>
                        <right>
                            <value>
                                <t t-esc='receipt.cash_register_balance_start'/>
                            </value>
                        </right>
                    </line>
                    <line>
                        <left>
                            <pre>Sales</pre>
                        </left>
                        <right>
                            <value>
                                <t t-esc="'{0:.2f}'.format(receipt.get_total_sales())"/>
                            </value>
                        </right>
                    </line>
                    <t t-foreach="receipt.get_vat_tax()" t-as="tax">
                        <line>
                            <left>
                                <t t-esc="tax.get('tax_name')"/>
                                Details:
                            </left>
                        </line>
                        <line indent='1'>
                            <left>
                                Net Amount
                            </left>
                            <right>
                                <span t-esc="tax.get('net_total')"/>
                            </right>
                        </line>
                        <line indent='1'>
                            <left>
                                <span t-esc="tax.get('tax_per')"/>% Tax Amount
                            </left>
                            <right>
                                <span t-esc="tax.get('tax_total')"/>
                            </right>
                        </line>
                        <line indent='1'>
                            <left>
                                Gross Amount
                            </left>
                            <right>
                                <span t-esc="tax.get('gross_tax')"/>
                            </right>
                        </line>
                    </t>
                    <line>
                        <left>
                            <pre>Total Tax</pre>
                        </left>
                        <right>
                            <value>
                                <t t-esc='receipt.get_total_tax()'/>
                            </value>
                        </right>
                    </line>
                    <line>
                        <left>
                            <pre>Discount Amount</pre>
                        </left>
                        <right>
                            <value>
                                <t t-esc='receipt.get_total_discount()'/>
                            </value>
                        </right>
                    </line>
                    <br/>
                    <line>
                        <left>
                            Closing Total
                        </left>
                        <right>
                            <value>
                                <t t-esc="receipt.cash_register_balance_end_real"/>
                            </value>
                        </right>
                    </line>
                    <line>
                        <left>
                            Total
                        </left>
                        <right>
                            <value>
                                <t t-esc="receipt.get_total_closing()"/>
                            </value>
                        </right>
                    </line>
                    <br/>
                    <t t-foreach="receipt.get_journal_amount()" t-as="l">
                        <line>
                            <left>
                                <pre>
                                    <t t-esc="l.get('journal_id')"/>
                                </pre>
                            </left>
                            <right>
                                <t t-esc="l.get('ending_bal')"/>
                            </right>
                        </line>
                    </t>
                    <br/>
                    <t t-if="receipt.get_product_category()">
                    <t t-set="categ_total" t-value="0.0"/>
                        <line>
                            <left>
                                Department Sales:
                            </left>
                        </line>
                        <br/>
                        <t t-foreach="receipt.get_product_category()" t-as="l">
                            <line>
                                <left>
                                    <pre>
                                        <t t-esc="receipt.get_product_name(l.get('pos_categ_id')) or 'Others'"/>
                                    </pre>
                                </left>
                                <right>
                                    <t t-set="categ_total" t-value="categ_total + l.get('total')"/>
                                    <t t-esc="'{0:.2f}'.format(l.get('total'))"/>
                                </right>
                            </line>
                        </t>
                        <line>
                            <right>
                                ===========
                            </right>
                        </line>
                        <line>
                            <right>
                                <span t-esc="'{0:.2f}'.format(categ_total)"/>
                            </right>
                        </line>
                    </t>
                </t>
            </receipt>
        </template>
    </data>
</odoo>
